From: Carsten Schoenert <c.schoenert@t-online.de>
Date: Thu, 31 Aug 2023 20:43:12 +0530
Subject: Update setup.{cfg,py} to work with setuptools

Based on the work on the forwared URL.

Forwarded: https://github.com/vaab/colour/pull/66
---
 setup.cfg | 61 +++++++++++++++++++++++++------------------------------------
 setup.py  | 10 +---------
 2 files changed, 26 insertions(+), 45 deletions(-)

diff --git a/setup.cfg b/setup.cfg
index 41de928..4b1633b 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -1,45 +1,40 @@
 [metadata]
 name = colour
 version = 0.1.5
-summary = converts and manipulates various color representation (HSL, RVB, web, X11, ...)
-description-file = 
-	README.rst
-	CHANGELOG.rst
-	TODO.rst
-license_file = LICENSE
-requires-dist = 
+description = converts and manipulates various color representation (HSL, RVB, web, X11, ...)
+long_description = file: README.rst, CHANGELOG.rst, TODO.rst
+license_files = LICENSE
+
+## sdist info
 author = Valentin LAB
 author_email = valentin.lab@kalysto.org
-home_page = http://github.com/vaab/colour
+url = http://github.com/vaab/colour
 license = BSD 3-Clause License
-classifier = 
-	Programming Language :: Python
-	Topic :: Software Development :: Libraries :: Python Modules
-	Development Status :: 3 - Alpha
-	License :: OSI Approved :: BSD License
-	Intended Audience :: Developers
-	Programming Language :: Python :: 2
-	Programming Language :: Python :: 2.7
-	Programming Language :: Python :: 3
-	Programming Language :: Python :: 3.3
-	Programming Language :: Python :: 3.4
-	Programming Language :: Python :: 3.5
-	Programming Language :: Python :: 3.6
+classifiers =
+    Programming Language :: Python
+    Topic :: Software Development :: Libraries :: Python Modules
+    Development Status :: 3 - Alpha
+    License :: OSI Approved :: BSD License
+    Intended Audience :: Developers
+    Programming Language :: Python :: 2
+    Programming Language :: Python :: 2.7
+    Programming Language :: Python :: 3
+    Programming Language :: Python :: 3.3
+    Programming Language :: Python :: 3.4
+    Programming Language :: Python :: 3.5
+    Programming Language :: Python :: 3.6
+
 
-[files]
-modules = colour
-extra_files = 
-	README.rst
-	CHANGELOG.rst
-	TODO.rst
-	setup.py
+[options]
+## without this ``pip uninstall`` fails on recent version of setuptools
+## (tested failing with setuptools 34.3.3, working with setuptools 9.1)
+zip_safe = False
 
-[backwards_compat]
-zip-safe = False
 
 [bdist_wheel]
 universal = 1
 
+
 [nosetests]
 verbosity = 3
 with-doctest = 1
@@ -49,9 +44,3 @@ with-coverage = 1
 cover-package = colour
 cover-min-percentage = 90
 doctest-options = +ELLIPSIS,+NORMALIZE_WHITESPACE
-
-[egg_info]
-tag_build = 
-tag_date = 0
-tag_svn_revision = 0
-
diff --git a/setup.py b/setup.py
index 92c38b7..c75a53e 100644
--- a/setup.py
+++ b/setup.py
@@ -54,12 +54,4 @@ if "0.1.5".startswith("%%"):
     sys.exit(errlvl)
 
 
-##
-## Normal d2to1 setup
-##
-
-setup(
-    setup_requires=['d2to1'],
-    extras_require={'test': ['nose', ]},
-    d2to1=True
-)
+setup(extras_require={'test': ['nose', ]})
